#!/usr/bin/env bash

if [ "$HOSTNAME" = "login" ]; then
        echo "Loading Modules."
        module load cmake
        module load gcc
        module load boost
        module load openmpi
        module load postgresql
fi

cmake -DCMAKE_BUILD_TYPE=Debug ../ -DCMAKE_EXPORT_COMPILE_COMMANDS=ON
make ag_gen
make decode
